This cross-compiled FFmpeg 4.4 RISC-V library was compiled by riscv64-unknown-linux-gnu-g++ 10.2.0.
You can reproduce this library by following the steps below.

1. Set up directories and environment variables. Remember to replace <Install Directory> and <SmartHLS Directory>
   If 'make' fails, you may need to reset the environment variables and backtrack to this step

export FFMPEG_PATH=<Install Directory>
export LEGUP_ROOT_DIR=<SmartHLS Directory>
export PATH=$FFMPEG_PATH/bin:$LEGUP_ROOT_DIR/pfsoc_sw_dependencies/linux/riscv-gnu-toolchain/bin:$PATH
export PKG_CONFIG_PATH=$FFMPEG_PATH/lib/pkgconfig

If $LEGUP_ROOT_DIR/pfsoc_sw_dependencies or $LEGUP_ROOT_DIR/swtools/binutils do not exist:

# x264

2. Download x264 by cloning the repository

git clone --depth 1 https://code.videolan.org/videolan/x264.git

3. Configure x264

cd x264 && ./configure \
	--cross-prefix=$LEGUP_ROOT_DIR/swtools/binutils/riscv-gnu-toolchain/bin/riscv64-unknown-linux-gnu- \
	--host=riscv64-unknown-linux-gnu --extra-ldflags="-latomic" \
	--enable-shared --enable-pic --disable-asm \
	--prefix=$FFMPEG_PATH

4. Compile and install x264

make && make install

# FFmpeg

5. Download FFmpeg by cloning their repository:

cd .. && git clone https://git.ffmpeg.org/ffmpeg.git

6. Checkout release/4.4

cd ffmpeg && git checkout release/4.4

7. Configure FFmpeg

./configure \
	--arch=riscv64 --target-os=linux \
	--extra-ldflags="-L$FFMPEG_PATH/lib -latomic" \
	--extra-libs="-lpthread -lm -latomic" \
	--enable-cross-compile \
	--cross-prefix=$LEGUP_ROOT_DIR/swtools/binutils/riscv-gnu-toolchain/bin/riscv64-unknown-linux-gnu- \
	--pkg-config=pkg-config \
	--enable-shared --enable-pic --disable-static \
	--enable-libx264 --enable-gpl \
	--prefix=$FFMPEG_PATH

8. Compile and install FFmpeg

make && make install

9. The FFmpeg library should show up at your specified $FFMPEG_PATH
